Guidance
指路人
g.yi.org
Guidance Forums / wxWidgets (wxWindows) in C++ / Linker errors and warning

Register 
注册
Search 搜索
首页 
Home Home
Software
Upload

  
Forum List • Thread List • Reply • Refresh • New Topic • Search • Previous • Next First 1 Last
Message1. Linker errors and warning
#3849
Posted by: 2004-04-16 06:31:03
Hello,
I installed latest Dev-cpp, imagelib-1.DevPak and WxWindows-2.2.9.DevPak. I created new wxWindows project, but when I try to compile firstly I get this warning: 2 D:\Users\Andrius\Programing\Dev-Cpp\include\c++\backward\backward_warning.h:32
#warning This file includes at least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++ standard. Examples include substituting the <X> header for the <X.h> header for C++ includes, or <sstream> instead of the deprecated header <strstream.h>. To disable this warning use -Wno-deprecated. Program compiles, however when it can't to link. I got lots of linker errors with lots undefined references (for example: 
[Linker error] undefined reference to `wxFrame::sm_eventTable'
). Like I understand it is something wrong this including files, but maybe I am wrong. Can anybody help? Thank you in advance.
Message2. Re: Linker errors and warning
#3852
Posted by: 2004-04-16 14:19:25
HEllo,

Why don't you install imagelib-2. wxWidgets & contrib 2.42 ???

I had a particular problems to compile, with  linker errors.
Have you seen post named "Compilation error" ??
Try this, maybe it will resolve yours....
Project/Option/parameters

Use these as compiler C++ settings:
-fno-rtti
-fno-exceptions
-fno-pcc-struct-return
-fstrict-aliasing
-Wall
-D__WXMSW__
-D__GNUWIN32__
-D__WIN95__

And these as linker settings (for wxWidgets 2.4.2):
-lwxmsw
-lole32
-lwsock32
-lcomctl32
-lctl3d32
-lgcc
-lstdc++
-lshell32
-loleaut32
-ladvapi32
-luuid
-lodbc32
-ltiff
-lpng
-ljpeg
-lzlib
Message3. Re: Linker errors and warning
#3868
Posted by: upCASE 2004-04-18 19:05:09
Hi!
Nope, there is nothing wrong in the include files.
The problem is that the wxWidgets devpack for version 2.2.9 is pretty outdated. It won't work with never versions of gcc. You'll need a more recent version.
I hope to bring parts of my homepage online today (www.upcase.de). There you'll find a devpack for 2.4.2 and a tutorial on compiling wxWidgets with gcc youself. I'll have to update the instructions someday, because with 2.5.1 it's a bit different.
upCASE
-----------------------------------
If it was hard to write, it should be hard to read!- Do. Or do not. There is no try!
Message4. Re: Linker errors and warning
#3981
Posted by: 2004-05-01 00:03:32
Thanks upCASE, new version of wxWindows solved the problem.
Message5. Re: Linker errors and warning
#4065
Posted by: 2004-05-07 21:30:30
Hello
I have the new version of WxWin and put the mentioned settings and i have this error:
Compiler: Default compiler
Building Makefile: "C:\Dev-Cpp\Examples\wxwindows\contrib\plot\Makefile.win"
Executing  make...
make.exe -f "C:\Dev-Cpp\Examples\wxwindows\contrib\plot\Makefile.win" all
windres.exe -i plot_private.rc -I rc -o plot_private.res -O coff

windres.exe: can't open cursor file `wx/msw/hand.cur': No such file or directory

make.exe: *** [plot_private.res] Error 1

Execution terminated

The path to that hand.cur is well set and i dont understand what's the problem

Can anybody help? Thank you in advance.
Forum List • Thread List • Reply • Refresh • New Topic • Search • Previous • Next First 1 Last
掌柜推荐
 
 
 
 
 
 
 
 
 
 
 
 
© Tue 2022-8-9  Guidance Laboratory Inc.
Email:webmaster1g.yi.org Hits:0